#include "fcts.h"

int main(int argc, char **argv) {
   int nRNG, nCuts;
   std::ofstream rescsv;
 	 rescsv.open("gva_res.csv");

   if(argc <2){
	   printf("Please give the number of random generated number \n");
	   return -1;
   }
   nRNG = atoi(argv[1]);
   if(argc <3){
   	   nCuts = 10;
   }
   else
	   nCuts = atoi(argv[2]);

   long unif;
   int freqs[nCuts];
   // initialize frequences
   for(int i=0; i < nCuts; i ++)
      freqs[i] = 0;

   for (int i = 0; i < nRNG; i++){
      // create the outputs
      unif = uniform();
      // store hist freqs
      freqs[unif%nCuts] ++;
  		rescsv << unif;
  		rescsv << "\n";
    }
    store_freqs(freqs, nCuts);
    rescsv.close();
}
