#include "fcts.h"

int main(int argc, char ** argv){
	int i, nRNG;
	double nAcc=0;
	if(argc < 2){
		return -1;
	}
	nRNG = atoi(argv[1]);
	double x, y;
	long res[nRNG*2];
	double max=0;
	for (i = 0; i < nRNG; i++){
		x = ((double) uniform())/(double)0x7FFFFFFF;
		y = ((double) uniform())/(double)0x7FFFFFFF;
		printf("x= %lf", x);
		if (x > max)
			max = x;
		if (x *x + y * y <= 1){
		    nAcc ++;
		}
		res[2*i] = x;
		res[2*i+1]=y;
	}
	printf("\n max = %lf \n", max);
	int freqs[10];
	for (i = 0; i < 10 ; i++)
		freqs[i] = 0;
	store_res(res, freqs, nRNG, 10);
	double pi = 4 * nAcc/nRNG;
	printf("%lf \n", pi);
}
